Bug 1186494 - Review Request: libticonv - Texas Instruments calculators charsets library
Summary: Review Request: libticonv - Texas Instruments calculators charsets library
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Antonio
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: tfdocgen
Blocks: 1186497
TreeView+ depends on / blocked
 
Reported: 2015-01-27 19:25 UTC by Ben Rosser
Modified: 2015-04-27 08:44 UTC (History)
3 users (show)

Fixed In Version: libticonv-1.1.4-5.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-27 08:38:11 UTC
anto.trande: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Ben Rosser 2015-01-27 19:25:37 UTC
Spec URL: https://tc01.fedorapeople.org/tilp2/libticonv.spec
SRPM URL: https://tc01.fedorapeople.org/tilp2/libticonv-1.1.4-0.fc21.src.rpm
Description: The ticonv library is a library capable of conversions between
Texas Instruments character sets and UTF-8/UTF-16 character sets.
Fedora Account System Username: tc01

A general disclaimer: there's a lot of changelog at the bottom of this spec file. That's because two years ago (approximately), I was not a sponsored Fedora packager and the tilp2 software and its libraries were not compliant with Fedora packaging guidelines. I wrote these spec files and worked with the maintainers to fix these issues.

Now that the major problems have been fixed, I'd like to try to actually get these RPMs into Fedora.

rpmlint output:

$ rpmlint SRPMS/libticonv-1.1.4-0.fc21.src.rpm 
libticonv.src: W: spelling-error Summary(en_US) charsets -> char sets, char-sets, charters
libticonv.src: W: spelling-error %description -l en_US ticonv -> convict
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

$ rpmlint RPMS/i686/libticonv-1.1.4-0.fc21.i686.rpm 
libticonv.i686: W: spelling-error %description -l en_US ticonv -> convict
libticonv.i686: W: wrong-file-end-of-line-encoding /usr/share/doc/libticonv/html/clean.bat
libticonv.i686: W: wrong-file-end-of-line-encoding /usr/share/doc/libticonv/README
libticonv.i686: W: wrong-file-end-of-line-encoding /usr/share/doc/libticonv/ChangeLog
libticonv.i686: W: wrong-file-end-of-line-encoding /usr/share/doc/libticonv/AUTHORS
libticonv.i686: W: wrong-file-end-of-line-encoding /usr/share/doc/libticonv/html/style.css
1 packages and 0 specfiles checked; 0 errors, 6 warnings.

$ rpmlint RPMS/i686/libticonv-debuginfo-1.1.4-0.fc21.i686.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint RPMS/i686/libticonv-devel-1.1.4-0.fc21.i686.rpm 
libticonv-devel.i686: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

Comment 1 Antonio 2015-01-30 16:36:02 UTC
Hi Ben.

- Release: 0%{?dist}
  First release number is 1, not 0.

- About wrong-file-end-of-line-encoding warnings, see https://fedoraproject.org/wiki/Common_Rpmlint_issues?rd=PackageMaintainers/Common_Rpmlint_Issues#wrong-file-end-of-line-encoding

- Update latest Changelog change to today.

Comment 2 Ben Rosser 2015-02-02 15:24:28 UTC
Fixed, thanks! See here for latest now:

Spec URL: https://tc01.fedorapeople.org/tilp2/libticonv.spec
SRPM URL: https://tc01.fedorapeople.org/tilp2/libticonv-1.1.4-1.fc21.src.rpm

I will fix the same issues in the other libti*/tilp packages later this evening.

Comment 3 Antonio 2015-02-02 17:14:46 UTC
> BuildRequires:  glib2-devel, pkgconfig, tfdocgen

tfdocgen is a missing package in Fedora. Where does it come from?

Comment 4 Ben Rosser 2015-02-02 19:24:35 UTC
Sorry, I probably should have linked that one here... tfdocgen is a tool for generating the documentation in tilp2 and its libraries. I have another review request opened here:

https://bugzilla.redhat.com/show_bug.cgi?id=1186499

Comment 5 Ben Rosser 2015-02-10 18:06:46 UTC
tfdocgen has been approved and built for F20, F21, and Rawhide.

I've updated the spec file with the %license tag for this package:

Spec File: https://tc01.fedorapeople.org/tilp2/libticonv.spec
SRPM URL: https://tc01.fedorapeople.org/tilp2/libticonv-1.1.4-2.fc21.src.rpm

Comment 6 Mario Blättermann 2015-02-15 15:31:43 UTC
Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=8938928

$ rpmlint -i -v *
libticonv.src: I: checking
libticonv.src: W: spelling-error Summary(en_US) charsets -> char sets, char-sets, charters
The value of this tag appears to be misspelled. Please double-check.

libticonv.src: W: spelling-error %description -l en_US ticonv -> convict
The value of this tag appears to be misspelled. Please double-check.

libticonv.src: I: checking-url https://sourceforge.net/projects/tilp/ (timeout 10 seconds)
libticonv.src: I: checking-url http://sourceforge.net/projects/tilp/files/tilp2-linux/tilp2-1.17/libticonv-1.1.4.tar.bz2 (timeout 10 seconds)
libticonv.i686: I: checking
libticonv.i686: W: spelling-error %description -l en_US ticonv -> convict
The value of this tag appears to be misspelled. Please double-check.

libticonv.i686: I: checking-url https://sourceforge.net/projects/tilp/ (timeout 10 seconds)
libticonv.x86_64: I: checking
libticonv.x86_64: W: spelling-error %description -l en_US ticonv -> convict
The value of this tag appears to be misspelled. Please double-check.

libticonv.x86_64: I: checking-url https://sourceforge.net/projects/tilp/ (timeout 10 seconds)
libticonv-debuginfo.i686: I: checking
libticonv-debuginfo.i686: I: checking-url https://sourceforge.net/projects/tilp/ (timeout 10 seconds)
libticonv-debuginfo.x86_64: I: checking
libticonv-debuginfo.x86_64: I: checking-url https://sourceforge.net/projects/tilp/ (timeout 10 seconds)
libticonv-devel.i686: I: checking
libticonv-devel.i686: I: checking-url https://sourceforge.net/projects/tilp/ (timeout 10 seconds)
libticonv-devel.i686: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

libticonv-devel.x86_64: I: checking
libticonv-devel.x86_64: I: checking-url https://sourceforge.net/projects/tilp/ (timeout 10 seconds)
libticonv-devel.x86_64: W: only-non-binary-in-usr-lib
There are only non binary files in /usr/lib so they should be in /usr/share.

libticonv-devel.x86_64: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

libticonv.spec: I: checking
libticonv.spec: I: checking-url http://sourceforge.net/projects/tilp/files/tilp2-linux/tilp2-1.17/libticonv-1.1.4.tar.bz2 (timeout 10 seconds)
7 packages and 1 specfiles checked; 0 errors, 7 warnings.

Nothing worth to discuss.


---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.
[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
[+] MUST: The License field in the package spec file must match the actual license.
    GPLv2+
[+] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %license.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
    $ sha256sum *
    1faecc71311bd95c94792cc72dd0844e7881a65156b006f045bb417eddd45183  libticonv-1.1.4.tar.bz2
    1faecc71311bd95c94792cc72dd0844e7881a65156b006f045bb417eddd45183  libticonv-1.1.4.tar.bz2.orig

[+] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
[.] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
[+] MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
[.] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
[.] MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
[.] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
[+] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
[+] MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)
[+] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
[.] MUST: Static libraries must be in a -static package.
[+] MUST: Development files must be in a -devel package.
[.] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release}
[+] MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[.] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.
[+] MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time. 
[+] MUST: All filenames in rpm packages must be valid UTF-8.


[.] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[.] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
[+] SHOULD: The reviewer should test that the package builds in mock.
    See Koji build above (which uses Mock anyway).
[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[.] SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
[+] SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
[.] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[+] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
[.] SHOULD: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.


----------------

PACKAGE APPROVED

----------------

Comment 7 Antonio 2015-02-15 16:17:53 UTC
(In reply to Ben Rosser from comment #5)
> tfdocgen has been approved and built for F20, F21, and Rawhide.
> 
> I've updated the spec file with the %license tag for this package:
> 
> Spec File: https://tc01.fedorapeople.org/tilp2/libticonv.spec
> SRPM URL: https://tc01.fedorapeople.org/tilp2/libticonv-1.1.4-2.fc21.src.rpm

I was waiting given that tfdocgen was still not packaged in rawhide. 
I see that i have been excluded from this review within few hours without a rational reason...

Comment 8 Mario Blättermann 2015-02-15 16:21:37 UTC
Sorry for skipping you, I set the latest changes back.

Comment 9 Antonio 2015-02-15 17:25:33 UTC
(In reply to Mario Blättermann from comment #8)
> Sorry for skipping you, I set the latest changes back.

I confirm your review; maybe it could be more useful putting all HTML documentation in a -doc sub package.

Comment 10 Ben Rosser 2015-02-16 23:57:38 UTC
The -doc sub package is a good idea; I remember considering it and I'm not sure why I never did so. I will add one.

Thanks for the review(s). :)

Comment 11 Ben Rosser 2015-02-16 23:58:50 UTC
New Package SCM Request
=======================
Package Name: libticonv
Short Description: Texas Instruments calculators charsets library
Upstream URL: https://sourceforge.net/projects/tilp/
Owners: tc01
Branches: f20 f21 f22
InitialCC:

Comment 12 Gwyn Ciesla 2015-02-17 13:53:32 UTC
Git done (by process-git-requests).

Comment 13 Ben Rosser 2015-02-17 19:03:39 UTC
Pushed and built for f22 and rawhide; the f21/f20 builds are waiting on tfdocgen to get pushed out of updates-testing, I think.

Comment 14 Fedora Update System 2015-02-28 05:25:03 UTC
libticonv-1.1.4-4.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/libticonv-1.1.4-4.fc21

Comment 15 Fedora Update System 2015-02-28 05:31:07 UTC
libticonv-1.1.4-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/libticonv-1.1.4-4.fc20

Comment 16 Fedora Update System 2015-03-01 06:50:30 UTC
libticonv-1.1.4-4.fc20 has been pushed to the Fedora 20 testing repository.

Comment 17 Fedora Update System 2015-04-27 08:38:11 UTC
libticonv-1.1.4-5.fc21 has been pushed to the Fedora 21 stable repository.

Comment 18 Fedora Update System 2015-04-27 08:44:19 UTC
libticonv-1.1.4-5.fc20 has been pushed to the Fedora 20 stable repository.


Note You need to log in before you can comment on or make changes to this bug.